{% set channel = communication.organisationChannel %}
{% set formConfig = getFormConfig(channel) %}
{% set uid = communication.id %}

{% autoescape false %}

<div class="gn-content--spaced">
    <fieldset id="publicationEmailForm" {% if communication.sent or channel.isArchived %}disabled{% endif %}>
        <form method="post" id="publicationFormCHANNEL-{{ channel.id }}" action="{{ domain }}/action/save/publication" class="needs-validation" novalidate>
            <input type="hidden" name="current-url" value="{{ currentUrl }}" />
            <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
            <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
            <input type="hidden" name="communication-id" value="{{ communication.id }}" />
            <input type="hidden" name="channel-id" value="{{ channel.id }}" />
            <input type="hidden" name="communication-channel" value="{{ communication.channel }}" />
            <input type="hidden" name="communication-channel-name" value="{{ channel.channelName }}" />
            <input type="hidden" name="communication-schedule-date" value="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('d/m/Y à H:i', 'Europe/Paris') }}" />

            <h2 class="fr-h4">
                {% if communication.sent %}
                    <p class="fr-badge fr-badge--info fr-badge--no-icon gn-text--lower fr-py-1v fr-px-2w">Contenu partag&eacute; via {{ channel.channelName }} par @{{ communication.publisher.login }} le {{ communication.sendingDate|date('d/m/Y à H:i', 'Europe/Paris') }}</p>
                {% else %}
                    Partager ce contenu via {{ channel.channelName }}
                    {% if communication.scheduleDate %}
                        <p class="fr-badge fr-badge--success fr-badge--no-icon gn-text--lower fr-py-1v fr-px-2w right">
                            Votre communication est planifi&eacute;e le {{ communication.scheduleDate|date('d/m/Y') }} &agrave; {{ communication.scheduleDate|date('H:i') }}
                        </p>
                    {% endif %}
                {% endif %}
            </h2>

            {% if formConfig.useTitle %}
                {% if communication.object is empty %}
                    {% set object = '[Communication ' ~ organization.generalParameters.label ~ '] ' ~ communication.content.title %}
                {% else %}
                    {% set object = communication.object %}
                {% endif %}

                <div class="fr-grid-row">
                    <div class="fr-col fr-col-6">
                        <div class="fr-input-group twitter">
                            <label class="fr-label" for="communication-object-twitter">Message</label>
                            <textarea class="fr-input" name="communication-object-{{ uid }}" id="communication-object-twitter" maxlength="250" rows="5" required>{{ object|striptags|u.truncate(250, '...') }}</textarea>
                            <span id="characters"><span class="length"></span> caract&egrave;re<span class="text">s</span> restant<span class="text">s</span></span></span>
                            <p id="communication-object-twitter-input-error" class="fr-error-text">Veuillez saisir un message de <span class="length"></span> caract&egrave;res maximum pour votre publication Twitter.</p>
                        </div>
                    </div>
                    <div class="fr-col fr-col-6">
                        {% include 'content/publication/twitter-preview.html' %}
                    </div>
                </div>
            {% else %}
                <input type="hidden" name="communication-object-{{ uid }}" value="{{ communication.object }}" />
            {% endif %}


            {% if formConfig.useContent %}
                <div class="fr-input-group">
                    <label class="fr-label" for="communication-content-facebook">Message</label>
                    <textarea class="fr-input" name="communication-content-{{ uid }}" id="communication-content-facebook" rows="10" required>{{ communication.rawText }}</textarea>
                    <p id="communication-content-facebook-input-error" class="fr-error-text">Veuillez saisir un message pour votre publication Facebook.</p>
                </div>
                <div class="fr-col fr-col-12">
                    {% include 'content/publication/facebook-preview.html' %}
                </div>
            {# {% else %}
                <input type="hidden" name="communication-content-{{ uid }}" value="{{ communication.text }}" /> #}
            {% endif %}


            {% if formConfig.useMedia %}

                {% for medium in communication.content.medias %}

                    {% set isEnabled = isImage(medium) %}
                    {% set isSelected = communication.medias|contains(medium) %}

                    <div class="fr-fieldset__element">
                        <div class="fr-checkbox-group">
                            <input name="communication-media-{{ medium.id }}" id="communication-media-{{ medium.id }}" type="checkbox" {{ not isEnabled ? 'disabled' }} {{ isSelected ? 'checked' }}>
                            <label class="fr-label" for="communication-media-{{ medium.id }}">

                                <div class="fr-grid-row fr-grid-row--gutters fr-grid-row--middle">
                                    <div class="fr-col-12">
                                        <span class="mime {{ medium.extension }} has-ellipsis">
                                            {{ medium.name }}
                                        </span>
                                    </div>
                                </div>

                            </label>
                        </div>
                    </div>

                {% endfor %}

            {% endif %}


            <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--icon-left fr-mt-2w">
                <li>
                    <button class="fr-btn fr-icon-save-3-line save-communication">
                        Enregistrer
                    </button>
                </li>
                <li>
                    <button class="fr-btn fr-btn--secondary fr-icon-timer-fill schedule-publication"
                            data-communication-id="{{ communication.id}}"
                            data-communication-schedule-date="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('Y-m-d H:i') }}">
                        Programmer
                    </button>
                </li>
                <li class="send-button">
                    {% if not communication.scheduleDate %}
                        <button class="fr-btn fr-icon-send-plane-line confirm-publication">
                            Envoyer
                        </button>
                    {% endif %}
                </li>
            </ul>

        </form>
    </fieldset>
</div>

{% endautoescape %}
